﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Web;

namespace WCFHost
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                ServiceHost host1 = new ServiceHost(typeof(DBService.DBService));
                host1.Opened += host_Opened;
                host1.Open();
                Console.ReadLine();
            }
            catch (Exception e)
            {
                throw e;
            }
        }

        static void host_Opened(object sender, EventArgs e)
        {
            Console.WriteLine("DBService opened successful");
        }

        //代码方式开启服务，此时要删除配置文件
        static void open()
        {
            //Uri uri = new Uri("http://127.0.0.1:8881/DBServer"); //和下面一句等价
            Uri uri = new Uri("http://localhost:8881/DBServer");

            using (ServiceHost host = new ServiceHost(typeof(DBService.DBService), uri))
            {
                //定义元数据发布方式，此处  通过在服务所在的URL后加“?wsdl”的方式公布WSDL，可直接通过HTTP访问得到。
                System.ServiceModel.Description.ServiceMetadataBehavior behavior = new System.ServiceModel.Description.ServiceMetadataBehavior();
                behavior.HttpGetEnabled = true;
                //此句也可不要，HttpGetUrl定义元数据的url
                host.Description.Behaviors.Add(behavior);

                //添加终结点
                host.AddServiceEndpoint(typeof(IContract.IContract), new WS2007HttpBinding(), string.Empty);
                host.Opened += host_Opened;
                host.Open();
                Console.ReadLine();

            }
        }

    }
}
